# Create a base Ubuntu image to build upon
# docker build --rm -f Dockerfile-71 -t composer:7.1 .
FROM ubuntu:16.04
MAINTAINER Richard Morgan <r_morgan@sympatico.ca>

WORKDIR /opt/project

EXPOSE 9000

# set terminal variable so that tools such as nano and htop work
# this is not needed in prod containers, but is useful for devs
ENV TERM=xterm

RUN apt-get update && apt-get install -y software-properties-common python-software-properties \
  && LC_ALL=C.UTF-8 add-apt-repository -y ppa:ondrej/php \
  && apt-get update && apt-get install -y \
    curl nano sed libwww-perl htop ca-certificates \
    php7.1 php7.1-cli php7.1-fpm php7.1-curl php-pear php7.1-mcrypt php7.1-zip php7.1-mbstring php7.1-xml \
    php7.1-mysql php7.1-pgsql php7.1-redis \
    \
  && apt-cache pkgnames | grep php7.1 \
  && rm /usr/bin/php && ln -s /usr/bin/php7.1 /usr/bin/php \
  && apt-get clean && rm -rf /var/lib/apt/lists/* /tmp/* /var/tmp/*

COPY ./docker-php-fpm.conf /etc/php/7.1/fpm/pool.d/www.conf

CMD ["/usr/sbin/php-fpm7.1", "-F"]
